Ticket #10682: trac_10682-spkg.patch

File trac_10682-spkg.patch, 6.0 KB (added by jpflori, 10 years ago)

spkg diff from reviewer, for review only

  • .hgtags

    diff -r b532d6980a4d -r a2668f914604 .hgtags
    a b  
    336fa06977968d03f585efd2ad5fc0aac8b98406c6 maxima-5.23.2.p2
    446afcf8271736f2ffe3eeb17e3ab37abc59e0e207 maxima-5.23.2.p3
    55445f5e798a6e2ee9e4480c0e5acdae0ae04e402f maxima-5.24.0.p0
     6da498886c0dfbd1d437dd5ada49767c284baf891 maxima-5.26.0.p0
  • SPKG.txt

    diff -r b532d6980a4d -r a2668f914604 SPKG.txt
    a b  
    1 = maxima =
     1= Maxima =
    22
    33== Description ==
    44
     
    99tensors. Maxima yields high precision numeric results by using exact
    1010fractions, arbitrary precision integers, and variable precision
    1111floating point numbers. Maxima can plot functions and data in two and
    12 three dimensions. 
     12three dimensions.
    1313
    1414For more information, see the Maxima web site
    1515
     
    4040
    4141== Changelog ==
    4242
    43 === maxima-5.26.0 (Dima Pasechnik, February 28th 2012) ===
     43=== maxima-5.26.0.p0 (Dima Pasechnik, February 28th 2012) ===
    4444 * upgrading to version 5.26.0 to take care of #10682.
    45  * added patch/comm.patch to fix Maxima bug #3484414. 
     45 * added patch/comm.patch to fix Maxima bug #3484414.
    4646   (false) precedes the display output if display2d is set to false.
    4747
    4848=== maxima-5.24.0.p0 (Michael Orlitzky, January 29th 2012) ===
     
    5050   abs_integrate package.
    5151 * Allow installation of local docs via SAGE_SPKG_INSTALL_DOCS.
    5252 * Remove more unused documentation in spkg-dist.
    53  * Update SPKG.txt to clarify the need to run spkg-dist. 
     53 * Update SPKG.txt to clarify the need to run spkg-dist.
    5454 * Fix a double negative in the spkg-install output.
    5555
    5656=== maxima-5.23.2.p3 (Simon King, December 10th, 2011) ===
     
    7777
    7878=== maxima-5.22.1 (Nils Bruin, Volker Braun, 28 October 2010) ===
    7979 * Update to the latest upstream version.
    80  * Rewrote section to build maxima.fas (ecl library) for new ASDF 
    81    (see Ticket #8645) 
     80 * Rewrote section to build maxima.fas (ecl library) for new ASDF
     81   (see Ticket #8645)
    8282
    8383=== maxima-5.20.1.p0 (William Stein, 3 April 2010) ===
    84  * Artificially bump version number to force rebuild, due to Maxima being broken without
    85    doing so on upgrade.
     84 * Artificially bump version number to force rebuild, due to Maxima being broken
     85   without doing so on upgrade.
    8686
    8787=== maxima-5.20.1 (Karl-Dieter Crisman, 21st December 2009) ===
    8888 * Upgrade to the latest upstream release
    89  * Removed patches - the solver is now in Maxima, and topoly.lisp is no longer used
    90  * Changed instructions below to not automatically assume spkg-dist, because this calls automake and sometimes this causes build failures due to version numbers (see Trac #7287)
     89 * Removed patches - the solver is now in Maxima, and topoly.lisp is no longer
     90   used
     91 * Changed instructions below to not automatically assume spkg-dist, because
     92   this calls automake and sometimes this causes build failures due to version
     93   numbers (see Trac #7287)
    9194
    9295=== maxima-5.19.1.p2 (Mike Hansen, Nils Bruin,  December 2nd, 2009) ===
    9396 * Added building Maxima as an ecl library to spkg-install
     
    97100   (Sage cannot solve inequalities)
    98101
    99102=== maxima-5.19.1.p0 (Alex Ghitza, August 24th, 2009) ===
    100  * Added patch that works around bug in topoly.lisp by changing appropriate instances of parg to carg
     103 * Added patch that works around bug in topoly.lisp by changing appropriate
     104   instances of parg to carg
    101105
    102106=== maxima-5.19.1    (David Kirkby, 20th August 2009) ===
    103107 * Upgrade to the latest upstream release
     
    106110 * Switch lisp used to ecl
    107111
    108112=== maxima-5.16.3.p1 (Michael Abshoff, April 19th, 2009) ===
    109  * address review comment by Gonzalo 
     113 * address review comment by Gonzalo
    110114
    111115=== maxima-5.16.3.p0 (Michael Abshoff, April 18th, 2009) ===
    112  * create maxima-noreadline script for matching dynamically readline disabling clisp (#5662)
    113  
     116 * create maxima-noreadline script for matching dynamically readline disabling
     117   clisp (#5662)
     118
    114119=== maxima-5.16.3 (Michael Abshoff, September 27th, 2008) ===
    115120 * Upgrade to upstream
    116121
    117122=== maxima-5.16.2.p0 (Michael Abshoff, September 16th, 2008) ===
    118  * Delete ~/.sage/maxima_commandlist_cache.sobj if it exists in spkg-install (fixes #4133)
     123 * Delete ~/.sage/maxima_commandlist_cache.sobj if it exists in spkg-install
     124   (fixes #4133)
    119125
    120126=== maxima-5.16.2 (Michael Abshoff, August 21st, 2008) ===
    121127 * Upgrade to upstream
    122128
    123129=== maxima-5.13.0.p2 (Michael Abshoff) ===
    124  * due to fixing #1471 we need to tell maxima to use clisp.bin as clisp executable
     130 * due to fixing #1471 we need to tell maxima to use clisp.bin as clisp
     131   executable
    125132
    126133ToDo:
    127134
     
    134141  1. Go to http://sourceforge.net/project/showfiles.php?group_id=4933
    135142     and download the source tar.gz ball.  That's near the bottom
    136143     of that page (i.e., hard to find if you don't scroll past
    137      all the big red adds). 
     144     all the big red adds).
    138145
    139146  2. Extract the tarball to replace the src/ subdirectory of this package.
    140147
    141148  3. Create an spkg from this directory, with
    142         sage -pkg maxima-x.y.z 
    143      
    144   4. Test the resulting maxima-??.spkg. 
     149        sage -pkg maxima-x.y.z
     150
     151  4. Test the resulting maxima-??.spkg.
    145152
    146153=============================================================
    147154
     
    155162* In the past, before doing step 3 above, one would also type
    156163
    157164       ./spkg-dist
    158  
     165
    159166  However, this caused problems with calling automake because
    160167  of the changed .in files.
    161 
  • spkg-install

    diff -r b532d6980a4d -r a2668f914604 spkg-install
    a b  
    88
    99check_error() {
    1010    if [[ $? -ne 0 ]]; then
    11         echo >&2 "***********************************************************"
    12         echo >&2 "Error:" $@
    13         echo >&2 "***********************************************************"
    14         exit 1
     11        echo >&2 "***********************************************************"
     12        echo >&2 "Error:" $@
     13        echo >&2 "***********************************************************"
     14        exit 1
    1515    fi
    1616}
    1717